
package de.ivu.elect.business.benutzerverwaltung.control;

import java.util.Collection;
import java.util.Collections;

import de.ivu.elect.business.benutzerverwaltung.entity.BenutzereinsatzortAuswahl;
import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;
import de.ivu.elect.business.konfiguration.entity.MandantKonfigurationWerte;

public class BenutzereinsatzortAuswahlKonfigurationInit extends AbstractKonfigurationInit {

  public BenutzereinsatzortAuswahlKonfigurationInit() {
    super();
  }

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    return Collections.singletonList( //
        create(MandantKonfigurationWerte.BENUTZEREINSATZORT_AUSWAHL, getDefaultValue()));
  }

  protected BenutzereinsatzortAuswahl getDefaultValue() {
    return BenutzereinsatzortAuswahl.OHNE;
  }
}
